use serde::{Deserialize, Serialize};

use crate::{identifier::Identifier, text_component::TextComponent};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct TrimPattern {
    pub asset_id: Identifier,
    pub description: TextComponent,
    pub template_item: Identifier,
    #[serde(default)]
    pub decal: bool,
}
