use potato_protocol_derive::Packet;
use uuid::Uuid;

#[derive(Debug, Packet)]
#[packet(login_id = crate::ids::login::serverbound::HELLO)]
pub struct HelloPacket {
    pub name: String,
    pub uuid: Uuid,
}
